package com.bonus.core.account.v3.po;


import com.bonus.core.account.v3.constants.AccUpdateWalletOperateEnum;

import java.math.BigDecimal;
import java.time.LocalDateTime;

public class AccWalletBalanceUpdatePO {
   private AccUpdateWalletOperateEnum operationType;
   private Long custId;
   private Integer walletId;
   private BigDecimal amount;
   private BigDecimal lastSubsidyAmount;
   private LocalDateTime lastSubsidyTime;

   public AccUpdateWalletOperateEnum getOperationType() {
      return this.operationType;
   }

   public Long getCustId() {
      return this.custId;
   }

   public Integer getWalletId() {
      return this.walletId;
   }

   public BigDecimal getAmount() {
      return this.amount;
   }

   public BigDecimal getLastSubsidyAmount() {
      return this.lastSubsidyAmount;
   }

   public LocalDateTime getLastSubsidyTime() {
      return this.lastSubsidyTime;
   }

   public AccWalletBalanceUpdatePO setOperationType(final AccUpdateWalletOperateEnum operationType) {
      this.operationType = operationType;
      return this;
   }

   public AccWalletBalanceUpdatePO setCustId(final Long custId) {
      this.custId = custId;
      return this;
   }

   public AccWalletBalanceUpdatePO setWalletId(final Integer walletId) {
      this.walletId = walletId;
      return this;
   }

   public AccWalletBalanceUpdatePO setAmount(final BigDecimal amount) {
      this.amount = amount;
      return this;
   }

   public AccWalletBalanceUpdatePO setLastSubsidyAmount(final BigDecimal lastSubsidyAmount) {
      this.lastSubsidyAmount = lastSubsidyAmount;
      return this;
   }

   public AccWalletBalanceUpdatePO setLastSubsidyTime(final LocalDateTime lastSubsidyTime) {
      this.lastSubsidyTime = lastSubsidyTime;
      return this;
   }
}
